nxt.addons

## Enum AbstractContractContext.EventSource

- java.lang.Object
- - java.lang.Enum<AbstractContractContext.EventSource>
  - - nxt.addons.AbstractContractContext.EventSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AbstractContractContext.EventSource>
  Enclosing class:
    AbstractContractContext

      public static enum AbstractContractContext.EventSource
      extends java.lang.Enum<AbstractContractContext.EventSource>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLOCK`
    `NONE`
    `REQUEST`
    `TRANSACTION`
    `VOUCHER`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBlock()`
    `boolean` | `isRequest()`
    `boolean` | `isTransaction()`
    `boolean` | `isVoucher()`
    `static AbstractContractContext.EventSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AbstractContractContext.EventSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BLOCK

          public static final AbstractContractContext.EventSource BLOCK

    - #### TRANSACTION

          public static final AbstractContractContext.EventSource TRANSACTION

    - #### REQUEST

          public static final AbstractContractContext.EventSource REQUEST

    - #### VOUCHER

          public static final AbstractContractContext.EventSource VOUCHER

    - #### NONE

          public static final AbstractContractContext.EventSource NONE

  - ### Method Detail

    - #### values

          public static AbstractContractContext.EventSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractContractContext.EventSource c : AbstractContractContext.EventSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractContractContext.EventSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isTransaction

          public boolean isTransaction()

    - #### isBlock

          public boolean isBlock()

    - #### isRequest

          public boolean isRequest()

    - #### isVoucher

          public boolean isVoucher()